@import "../../../styles/global/var";
@import "../../../styles/global/var-pages";

test-session-info {
    display: block;
}
.test-session-info {
    padding: 16px;

    &._logs {
        padding-left: 0;
        padding-right: 0;
    }

    &__section {
        & + & {
            margin-top: 32px;
        }
        &.test-session-info__meta + & {
            margin-top: 8px;
        }
    }
    &__meta {
        display: flex;
        flex-wrap: wrap;

        &:last-child & {
            margin-bottom: -24px;
        }

        &-section {
            flex: 1 1 50%;
            width: 50%;
            min-width: 250px;
            margin-bottom: 24px;

            &._left {
                padding-right: 16px;
            }
        }
        &-item {
            display: flex;
            margin-bottom: 4px;

            &-label,
            &-value {
                display: flex;
                align-items: center;
                cursor: default;

                &-icon {
                    flex: none;
                }
                &-text {
                    flex: auto;
                    min-width: 0;
                    font-size: 14px;
                    line-height: 24px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }
            }
            &-label {
                color: $gray57c;
                flex: none;
                width: 104px;
                padding-right: 12px;

                &-icon {
                    &.material-icons {
                        margin-right: 8px;
                        font-size: 16px;
                        line-height: 16px;
                    }
                }
            }
            &-value {
                color: $black;
                flex: auto;
                min-width: 0;

                &-icon {
                    margin-right: 6px;
                }
            }
        }
    }
    &__artifacts {
        display: flex;

        &-list {
            font-size: 0;
            margin: 0;
            padding: 0;
        }
        &-item {
            font-size: 14px;
            line-height: 24px;
            display: inline-block;
            vertical-align: middle;
            margin-right: 24px;

            &-link {
                color: $brand-light;
                &:hover {
                    color: $brand-light-hover;
                }
            }
        }
        &-label {
            display: flex;
            align-items: flex-start;
            cursor: default;
            color: $gray57c;
            flex: none;
            width: 104px;
            padding-right: 12px;

            &-icon {
                flex: none;

                &.material-icons {
                    margin-right: 8px;
                    font-size: 16px;
                    line-height: 24px;
                }
            }
            &-text {
                flex: auto;
                min-width: 0;
                font-size: 14px;
                line-height: 24px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }
    }
    &__relates {
        &-title {
            font-weight: 700;
            font-size: 16px;
            line-height: 24px;
            color: $black;
            margin-bottom: 8px;
        }
        &-list {
            list-style: none;
            margin: 0;
            padding: 0;

            &-item {
                border-left: 4px solid transparent;
                padding: 0 8px;
                font-weight: 500;
                font-size: 14px;
                line-height: 24px;
                word-break: break-all;

                &._failed {
                    border-left-color: $red-new;
                }

                &._passed {
                    border-left-color: #43c480;
                }

                &._in_progress {
                    border-left-color: $blue-new;
                }

                &._skipped {
                    border-left-color: $yellow-light-new;
                }

                &._aborted {
                    border-left-color: $gray3e5;
                }
                &-link {
                    color: $brand-light;
                    transition: color .25s ease;

                    &:hover {
                        color: $brand-light-hover;
                    }
                }
                & + & {
                    margin-top: 8px;
                }
            }
        }
    }
    &__downloads {
        .md-button {
            font-weight: 700;
            font-size: 14px;
            line-height: 24px;
        }
        .md-button + .md-button {
            margin-left: 24px;
        }
        @media screen and (max-width: $md-screen-phone) {
            .md-button + .md-button {
                margin-left: 16px;
            }
        }
        @media screen and (max-width: $screen-phone) {
            .md-button {
                margin: 4px 16px 4px 0;
            }
            .md-button + .md-button {
                margin-left: 0;
            }
        }
    }
    &__video {
        &-wrapper {
            position: relative;
            background: $black;
            height: calc(100vh / 2);
        }
        &-player {
            width: 100%;
            height: 100%;
            max-width: 100%;
            max-height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            margin: auto;
        }
    }

    .vnc-player {
        margin: auto;
        max-width: 100%;
        max-height: 100%;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;

        .video-control {
            position: absolute;
            bottom: 15px;
            right: 15px;
            color: $white;
            cursor: pointer;
            transform: translate3d(0, 0, 0);
        }
        .vnc-loader {
            opacity: .5;
            position: absolute;
            left: 0;
            top: 0;
            bottom: 0;
            right: 0;
            width: 48px;
            height: 48px;
            margin: auto;
            border: $black 3px solid;
            border-left-color: transparent;
            border-radius: 50%;
            animation: spin 1s linear infinite;
        }
    }

    @media screen and (max-width: $md-screen-phone) {
        padding-right: 24px;
    }
}
